<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Checker;

use Dedi\SyliusVoucherPlugin\Model\VoucherInterface;
use Sylius\Component\Core\Model\OrderInterface as SyliusOrderInterface;
use Sylius\Component\Order\Model\OrderInterface;

class RestrictAlreadyAppliedVoucherRule implements VoucherRuleInterface
{
    /**
     * @param OrderInterface|SyliusOrderInterface $order
     */
    public function getRule(OrderInterface $order, VoucherInterface $voucher): bool
    {
        return !$voucher->hasAppliedOrder($order);
    }
}
