<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Model;

use Doctrine\ORM\Mapping as ORM;

trait ProductTrait
{
    /** @ORM\Column(type="boolean", options={"default": false}) */
    protected bool $voucher = false;

    public function isVoucher(): bool
    {
        return $this->voucher;
    }

    public function setVoucher(bool $isVoucher): void
    {
        $this->voucher = $isVoucher;
    }
}
