<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Model;

use Sylius\Component\Channel\Model\ChannelAwareInterface;
use Sylius\Component\Locale\Model\LocaleInterface;
use Sylius\Component\Resource\Model\ResourceInterface;

interface VoucherChannelConfigurationInterface extends ResourceInterface, ChannelAwareInterface
{
    public function getLocale(): ?LocaleInterface;

    public function setLocale(LocaleInterface $locale): self;

    public function getConfiguration(): ?VoucherConfigurationInterface;

    public function setConfiguration(?VoucherConfigurationInterface $configuration): self;
}
